<?php echo $header; ?><?php echo $column_left; ?>
<div id="content">
  <div class="page-header">
    <div class="container-fluid">
      <div class="pull-right">
        <button type="submit" form="form" data-toggle="tooltip" title="<?php echo $button_save; ?>" class="btn btn-primary"><i class="fa fa-save"></i></button>
        <a href="<?php echo $cancel; ?>" data-toggle="tooltip" title="<?php echo $button_cancel; ?>" class="btn btn-default"><i class="fa fa-reply"></i></a></div>
      <h1><?php echo $heading_title; ?></h1>
      <ul class="breadcrumb">
        <?php foreach ($breadcrumbs as $breadcrumb) { ?>
        <li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
        <?php } ?>
      </ul>
    </div>
  </div>
  <div class="container-fluid">
    <?php if ($error_warning) { ?>
    <div class="alert alert-danger"><i class="fa fa-exclamation-circle"></i> <?php echo $error_warning; ?>
      <button type="button" class="close" data-dismiss="alert">&times;</button>
    </div>
    <?php } ?>
    <div class="panel panel-default">
      <div class="panel-heading">
        <h3 class="panel-title"><i class="fa fa-pencil"></i> <?php echo $text_edit; ?></h3>
      </div>
      <div class="panel-body">
        <form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form" class="form-horizontal">
		  <ul class="nav nav-tabs">
            <li class="active"><a href="#tab-general" data-toggle="tab"><?php echo $tab_general; ?></a></li>
            <li><a href="#tab-style" data-toggle="tab"><?php echo $tab_style; ?></a></li>
            <li><a href="#tab-preview" data-toggle="tab"><?php echo $tab_preview; ?></a></li>
          </ul>
		  <div class="tab-content">
            <div class="tab-pane active" id="tab-general">
			  <div class="form-group required">
                <label class="col-sm-2 control-label" for="input-name"><?php echo $entry_name; ?></label>
				<div class="col-sm-10">
				  <input type="text" name="name" value="<?php echo $name; ?>" id="input-name" class="form-control" />
				</div>
			  </div>
			  <div class="form-group">
                <label class="col-sm-2 control-label" for="input-type"><?php echo $entry_type; ?></label>
				<div class="col-sm-10">
				  <select name="type" id="input-type" class="form-control">
					<?php if ($type == 'register') { ?>
					<option value="register" selected="selected"><?php echo $text_register; ?></option>
					<?php } else { ?>
					<option value="register"><?php echo $text_register; ?></option>
					<?php } ?>
					<?php if ($type == 'affiliate') { ?>
					<option value="affiliate" selected="selected"><?php echo $text_affiliate; ?></option>
					<?php } else { ?>
					<option value="affiliate"><?php echo $text_affiliate; ?></option>
					<?php } ?>
					<?php if ($type == 'order') { ?>
					<option value="order" selected="selected"><?php echo $text_order; ?></option>
					<?php } else { ?>
					<option value="order"><?php echo $text_order; ?></option>
					<?php } ?>
					<?php if ($type == 'contact') { ?>
					<option value="contact" selected="selected"><?php echo $text_contact; ?></option>
					<?php } else { ?>
					<option value="contact"><?php echo $text_contact; ?></option>
					<?php } ?>
					<?php if ($type == 'forgotten') { ?>
					<option value="forgotten" selected="selected"><?php echo $text_forgotten; ?></option>
					<?php } else { ?>
					<option value="forgotten"><?php echo $text_forgotten; ?></option>
					<?php } ?>
					<?php if ($type == 'reward') { ?>
					<option value="reward" selected="selected"><?php echo $text_reward; ?></option>
					<?php } else { ?>
					<option value="reward"><?php echo $text_reward; ?></option>
					<?php } ?>
					<?php if ($type == 'account_approve') { ?>
					<option value="account_approve" selected="selected"><?php echo $text_account_approve; ?></option>
					<?php } else { ?>
					<option value="account_approve"><?php echo $text_account_approve; ?></option>
					<?php } ?>
					<?php if ($type == 'account_transaction') { ?>
					<option value="account_transaction" selected="selected"><?php echo $text_account_transaction; ?></option>
					<?php } else { ?>
					<option value="account_transaction"><?php echo $text_account_transaction; ?></option>
					<?php } ?>
					<?php if ($type == 'affiliate_approve') { ?>
					<option value="affiliate_approve" selected="selected"><?php echo $text_affiliate_approve; ?></option>
					<?php } else { ?>
					<option value="affiliate_approve"><?php echo $text_affiliate_approve; ?></option>
					<?php } ?>
					<?php if ($type == 'affiliate_transaction') { ?>
					<option value="affiliate_transaction" selected="selected"><?php echo $text_affiliate_transaction; ?></option>
					<?php } else { ?>
					<option value="affiliate_transaction"><?php echo $text_affiliate_transaction; ?></option>
					<?php } ?>
					<?php if ($type == 'gift_voucher') { ?>
					<option value="gift_voucher" selected="selected"><?php echo $text_gift_voucher; ?></option>
					<?php } else { ?>
					<option value="gift_voucher"><?php echo $text_gift_voucher; ?></option>
					<?php } ?>
					<?php foreach ($return_statuses as $return_status) { ?>
					<?php if ('return_' . $return_status['return_status_id'] == $type) { ?>
					  <option value="return_<?php echo $return_status['return_status_id']; ?>" selected="selected"><?php echo $text_return; ?> <?php echo $return_status['name']; ?></option>
					<?php } else { ?>
					  <option value="return_<?php echo $return_status['return_status_id']; ?>"><?php echo $text_return; ?> <?php echo $return_status['name']; ?></option>
					<?php } ?>
					<?php } ?>
					<?php foreach ($order_statuses as $order_status) { ?>
					<?php if ($order_status['order_status_id'] == $type) { ?>
					  <option value="<?php echo $order_status['order_status_id']; ?>" selected="selected"><?php echo $text_status; ?> <?php echo $order_status['name']; ?></option>
					<?php } else { ?>
					  <option value="<?php echo $order_status['order_status_id']; ?>"><?php echo $text_status; ?> <?php echo $order_status['name']; ?></option>
					<?php } ?>
					<?php } ?>
				  </select>
				</div>
			  </div>
			  <div class="form-group">
                <label class="col-sm-2 control-label" for="input-priority"><?php echo $entry_priority; ?></label>
				<div class="col-sm-10">
				  <input type="text" name="priority" value="<?php echo $priority; ?>" class="form-control" />
				</div>
			  </div>
			  <div class="form-group">
                <label class="col-sm-2 control-label" for="input-date-start"><?php echo $entry_date_start; ?></label>
				<div class="col-sm-10">
				  <input type="text" name="date_start" value="<?php echo $date_start; ?>" data-format="YYYY-MM-DD" class="form-control date" />
				</div>
			  </div>
			  <div class="form-group">
                <label class="col-sm-2 control-label" for="input-date-end"><?php echo $entry_date_end; ?></label>
				<div class="col-sm-10">
				  <input type="text" name="date_end" value="<?php echo $date_end; ?>" data-format="YYYY-MM-DD" class="form-control date" />
				</div>
			  </div>
			  <div class="form-group">
                <label class="col-sm-2 control-label" for="input-store"><?php echo $entry_store; ?></label>
				<div class="col-sm-10">
				  <select name="store_id" class="form-control">
					<?php if (!$store_id) { ?>
					<option value="0" selected="selected"><?php echo $text_default; ?></option>
					<?php } else { ?>
					<option value="0"><?php echo $text_default; ?></option>
					<?php } ?>
					<?php foreach ($stores as $store) { ?>
					  <?php if ($store_id == $store['store_id']) { ?>
					  <option value="<?php echo $store['store_id']; ?>" selected="selected"><?php echo $store['name']; ?></option>
					  <?php } else { ?>
					  <option value="<?php echo $store['store_id']; ?>"><?php echo $store['name']; ?></option>
					 <?php } ?>
					<?php } ?>
				  </select>
				</div>
			  </div>
			  <ul id="languages" class="nav nav-tabs">
				<?php foreach ($languages as $language) { ?>
				<li><a href="#language<?php echo $language['language_id']; ?>" data-toggle="tab"><img src="view/image/flags/<?php echo $language['image']; ?>" title="<?php echo $language['name']; ?>" /> <?php echo $language['name']; ?></a></li>
				<?php } ?>
			  </ul>
			  <div class="tab-content">
				<?php foreach ($languages as $language) { ?>
				  <div id="language<?php echo $language['language_id']; ?>" class="tab-pane">
					<div class="form-group required">
					  <label class="col-sm-2 control-label" for="input-subject-<?php echo $language['language_id']; ?>"><?php echo $entry_subject; ?></label>
					  <div class="col-sm-10">
						<input type="text" name="description[<?php echo $language['language_id']; ?>][subject]" value="<?php echo isset($description[$language['language_id']]['subject']) ? $description[$language['language_id']]['subject'] : ''; ?>" id="input-subject-<?php echo $language['language_id']; ?>" class="form-control" /></td>
					  </div>
					</div>
					<div class="form-group required">
					  <label class="col-sm-2 control-label" for="input-description-<?php echo $language['language_id']; ?>"><?php echo $entry_message; ?></label>
					  <div class="col-sm-10">
						<textarea name="description[<?php echo $language['language_id']; ?>][message]" id="input-description-<?php echo $language['language_id']; ?>"><?php echo isset($description[$language['language_id']]['message']) ? $description[$language['language_id']]['message'] : ''; ?></textarea></td>
					  </div>
					</div>
				  </div>
				<?php } ?>
			  </div>
			  <div class="form-group">
				<label class="col-sm-2 control-label"><?php echo $text_code; ?></label>
				<div class="col-sm-10">
				  <div id="code"></div>
				</div>
			  </div>
			</div>
			<div class="tab-pane" id="tab-style">
			  <div class="form-group">
				<label class="col-sm-2 control-label" for="input-background"><?php echo $entry_background; ?></label>
				<div class="col-sm-10">
				  <input type="text" name="background" value="<?php echo $background; ?>" id="input-background" class="form-control" />
				</div>
			  </div>
			  <div class="form-group">
				<label class="col-sm-2 control-label" for="input-heading"><?php echo $entry_heading; ?></label>
				<div class="col-sm-10">
				  <input type="text" name="heading" value="<?php echo $heading; ?>" id="input-heading" class="form-control" />
				</div>
			  </div>
			  <div class="form-group">
				<label class="col-sm-2 control-label" for="input-body"><?php echo $entry_body; ?></label>
				<div class="col-sm-10">
				  <input type="text" name="body" value="<?php echo $body; ?>" id="input-body" class="form-control" />
				</div>
			  </div>
			  <div class="form-group">
				<label class="col-sm-2 control-label" for="input-image"><?php echo $entry_image; ?></label>
				<div class="col-sm-10">
                  <a href="" id="thumb-image" data-toggle="image" class="img-thumbnail"><img src="<?php echo $thumb; ?>" alt="" title="" data-placeholder="<?php echo $no_image; ?>" /></a>
                  <input type="hidden" name="image" value="<?php echo $image; ?>" id="input-image" />
                </div>
			  </div>
			</div>
			<div class="tab-pane" id="tab-preview">
			<table style="font-size: 100%; font-family: Helvetica, Arial, sans-serif; line-height: 1.65; width: 100% !important; height: 100%; -webkit-font-smoothing: antialiased; -webkit-text-size-adjust: none; background: #ffffff; margin: 0; padding: 0;">
			  <tr style="font-size: 100%; font-family: Helvetica, Arial, sans-serif; line-height: 1.65; margin: 0; padding: 0;">
				<td style="font-size: 100%; font-family: Helvetica, Arial, sans-serif; line-height: 1.65; display: block !important; clear: both !important; max-width: 580px !important; margin: 0 auto; padding: 0;">
				  <table style="font-size: 100%; font-family: Helvetica, Arial, sans-serif; line-height: 1.65; width: 100% !important; border-collapse: collapse; margin: 0; padding: 0;">
					<tr style="font-size: 100%; font-family: Helvetica, Arial, sans-serif; line-height: 1.65; margin: 0; padding: 0;">
					  <td id="t-header" style="font-size: 100%; font-family: Helvetica, Arial, sans-serif; line-height: 1.65; color: #ffffff; background: <?php echo $background; ?>; margin: 0; padding: 80px 0; text-align: center;">
						<?php if ($logo) { ?>
						<a href="<?php echo $url; ?>"><img src="<?php echo $logo; ?>" alt="<?php echo $store_name; ?>" title="<?php echo $store_name; ?>" /></a>
						<?php } else { ?>
						<a href="<?php echo $url; ?>" style="font-size: 24px; font-family: Helvetica, Arial, sans-serif; line-height: 1.25; max-width: 90%; margin: 0 auto; padding: 0; text-align: center; color: #ffffff;"><?php echo $store_name; ?></a>
						<?php } ?>
					  </td>
					</tr>
					<tr style="font-size: 100%; font-family: Helvetica, Arial, sans-serif; line-height: 1.65; margin: 0; padding: 0;">
					  <td id="t-body" style="font-size: 100%; font-family: Helvetica, Arial, sans-serif; line-height: 1.65; background: <?php echo $body; ?>; margin: 0; padding: 30px 35px;">
						<div style="font-size:16px;font-weight:bold;border-bottom:1px solid #aaaaaa;color:<?php echo $heading; ?>"><?php echo $t_heading; ?></div>
						<?php echo $t_message; ?>
					  </td>
					</tr>
				  </table>
				</td>
			  </tr>
			</table>
			</div>
		  </div>
		</form>
      </div>
    </div>
  </div>
</div>
<script type="text/javascript"><!--
$('select[name=\'type\']').on('change', function() {
	var html = '';
	
	var value = $('select[name=\'type\']').val();
	
	if (value == 'register') {
		html += '<table class="form">';
		html += '  <tr>';
		html += '    <td>First Name - {firstname}</td>';
		html += '    <td>Last Name - {lastname}</td>';
		html += '    <td>Email - {email}</td>';
		html += '    <td>Telephone - {telephone}</td>';
		html += '    <td>Password - {password}</td>';
		html += '  </tr>';
		html += '</table>';
	} else if (value == 'affiliate') {
		html += '<table class="form">';
		html += '  <tr>';
		html += '    <td>First Name - {firstname}</td>';
		html += '    <td>Last Name - {lastname}</td>';
		html += '    <td>Email - {email}</td>';
		html += '    <td>Telephone - {telephone}</td>';
		html += '    <td>Password - {password}</td>';
		html += '  </tr>';
		html += '</table>';
	} else if (value == 'order') {
		html += '<table class="form">';
		html += '  <tr>';
		html += '    <td>Order ID - {order_id}</td>';
		html += '    <td>First Name - {firstname}</td>';
		html += '    <td>Last Name - {lastname}</td>';
		html += '    <td>Email - {email}</td>';
		html += '    <td>Telephone - {telephone}</td>';
		html += '  </tr>';
		html += '  <tr>';
		html += '    <td>Date Added - {date_added}</td>';
		html += '    <td>Payment Method - {payment_method}</td>';
		html += '    <td>Shipping Method - {shipping_method}</td>';
		html += '    <td>IP Address - {ip}</td>';
		html += '    <td>Comment Table - {comment_table}</td>';
		html += '  </tr>';
		html += '  <tr>';
		html += '    <td>Payment Address - {payment_address}</td>';
		html += '    <td>Shipping Address - {shipping_address}</td>';
		html += '    <td>Purchased Products - {product_table}</td>';
		html += '  </tr>';
		html += '</table>';
	} else if (value == 'contact') {
		html += '<table class="form">';
		html += '  <tr>';
		html += '    <td>First Name - {firstname}</td>';
		html += '    <td>Email - {email}</td>';
		html += '    <td>Enquiry - {enquiry}</td>';
		html += '  </tr>';
		html += '</table>';
	} else if (value == 'forgotten') {
		html += '<table class="form">';
		html += '  <tr>';
		html += '    <td>First Name - {firstname}</td>';
		html += '    <td>Last Name - {lastname}</td>';
		html += '    <td>Email - {email}</td>';
		html += '    <td>Password - {password}</td>';
		html += '  </tr>';
		html += '</table>';
	} else if (value == 'reward') {
		html += '<table class="form">';
		html += '  <tr>';
		html += '    <td>First Name - {firstname}</td>';
		html += '    <td>Last Name - {lastname}</td>';
		html += '    <td>Email - {email}</td>';
		html += '    <td>Points - {points}</td>';
		html += '    <td>Total Points - {total_points}</td>';
		html += '  </tr>';
		html += '</table>';
	} else if (value == 'account_approve') {
		html += '<table class="form">';
		html += '  <tr>';
		html += '    <td>First Name - {firstname}</td>';
		html += '    <td>Last Name - {lastname}</td>';
		html += '    <td>Email - {email}</td>';
		html += '  </tr>';
		html += '</table>';
	} else if (value == 'account_transaction') {
		html += '<table class="form">';
		html += '  <tr>';
		html += '    <td>First Name - {firstname}</td>';
		html += '    <td>Last Name - {lastname}</td>';
		html += '    <td>Email - {email}</td>';
		html += '    <td>Credits - {credits}</td>';
		html += '    <td>Total Credits - {total_credits}</td>';
		html += '  </tr>';
		html += '</table>';
	} else if (value == 'affiliate_approve') {
		html += '<table class="form">';
		html += '  <tr>';
		html += '    <td>First Name - {firstname}</td>';
		html += '    <td>Last Name - {lastname}</td>';
		html += '    <td>Email - {email}</td>';
		html += '  </tr>';
		html += '</table>';
	} else if (value == 'affiliate_transaction') {
		html += '<table class="form">';
		html += '  <tr>';
		html += '    <td>First Name - {firstname}</td>';
		html += '    <td>Last Name - {lastname}</td>';
		html += '    <td>Email - {email}</td>';
		html += '    <td>Commission - {commission}</td>';
		html += '    <td>Total Commission - {total_commission}</td>';
		html += '  </tr>';
		html += '</table>';
	} else if (value == 'gift_voucher') {
		html += '<table class="form">';
		html += '  <tr>';
		html += '    <td>To Name - {to_name}</td>';
		html += '    <td>From Name - {from_name}</td>';
		html += '    <td>To Email - {to_email}</td>';
		html += '    <td>Amount - {amount}</td>';
		html += '    <td>Code - {code}</td>';
		html += '  </tr>';
		html += '  <tr>';
		html += '    <td colspan="2">Voucher Theme Image - {voucher_theme}</td>';
		html += '    <td>Message - {message}</td>';
		html += '  </tr>';
		html += '</table>';
	} else {
		html += '<table class="form">';
		html += '  <tr>';
		html += '    <td>Order ID - {order_id}</td>';
		html += '    <td>First Name - {firstname}</td>';
		html += '    <td>Last Name - {lastname}</td>';
		html += '    <td>Email - {email}</td>';
		html += '    <td>Telephone - {telephone}</td>';
		html += '  <tr>';
		html += '    <td>Comment - {comment}</td>';
		html += '    <td colspan="2">Return ID - {return_id} (Product Return Status Only)</td>';
		html += '  </tr>';
		html += '</table>';
	}

	$('#code').html(html);
});

$('select[name=\'type\']').trigger('change');
//--></script> 
<script type="text/javascript"><!--
$('.date').datetimepicker({
	pickTime: false
});

$('#languages a:first').tab('show');

<?php foreach ($languages as $language) { ?>
$('#input-description-<?php echo $language['language_id']; ?>').summernote({height: 300});
<?php } ?>

$('input[name=\'background\']').ColorPicker({
	onSubmit: function(hsb, hex, rgb, el) {
		$(el).val('#' + hex);
		$(el).ColorPickerHide();
		$('#t-header').css('background', '#' + hex);
	},
	onBeforeShow: function () {
		$(this).ColorPickerSetColor(this.value);
	},
	onChange: function (hsb, hex, rgb) {
		$('input[name=\'background\']').val('#' + hex);
		$('#t-header').css('background', '#' + hex);
	}
})
.bind('keyup', function(){
	$(this).ColorPickerSetColor(this.value);
});

$('input[name=\'heading\']').ColorPicker({
	onSubmit: function(hsb, hex, rgb, el) {
		$(el).val('#' + hex);
		$(el).ColorPickerHide();
		$('#t-heading').css('color', '#' + hex);
	},
	onBeforeShow: function () {
		$(this).ColorPickerSetColor(this.value);
	},
	onChange: function (hsb, hex, rgb) {
		$('input[name=\'heading\']').val('#' + hex);
		$('#t-heading').css('color', '#' + hex);
	}
})
.bind('keyup', function(){
	$(this).ColorPickerSetColor(this.value);
});

$('input[name=\'body\']').ColorPicker({
	onSubmit: function(hsb, hex, rgb, el) {
		$(el).val('#' + hex);
		$(el).ColorPickerHide();
		$('#t-body').css('background', '#' + hex);
	},
	onBeforeShow: function () {
		$(this).ColorPickerSetColor(this.value);
	},
	onChange: function (hsb, hex, rgb) {
		$('input[name=\'body\']').val('#' + hex);
		$('#t-body').css('background', '#' + hex);
	}
})
.bind('keyup', function(){
	$(this).ColorPickerSetColor(this.value);
});
//--></script> 
<?php echo $footer; ?>